Bug 652905 - Passwords should be aligned
Summary: Passwords should be aligned
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Martin Gracik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 13:03 UTC by Michael Monreal
Modified: 2013-07-04 12:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 11:23:54 UTC
Type: ---


Attachments (Terms of Use)
Screenshot (76.78 KB, image/png)
2010-11-13 13:03 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2010-11-13 13:03:10 UTC
Created attachment 460225 [details]
Screenshot

The password entry in firstboot shows a warning icon if the password is too short or too weak. However, this makes it kind of hard to see if the password length matches:

Password:         [ /!\ xxxx    ]
Confirm Password: [ xxxx        ]

It would be nicer if the icon was displayed on the other side of the entry, like this:

Password:         [ xxxx    /!\ ]
Confirm Password: [ xxxx        ]

Comment 1 Martin Gracik 2010-12-03 11:23:54 UTC
On the right side of the entry, there's a warning icon for caps lock, so we can't put the icon there. But I removed the icon from the entry completely, and instead put a label next to the entry, showing a string with the actual password strength.


Note You need to log in before you can comment on or make changes to this bug.